Unbounded Hatch

in the other cad
_HATCH w
allows to draw hatch interactively
Can this BCAD or does anyone know of lisp or such.

Comments

  • Anthony Apostolaros
    edited October 2019

    Do you mean like this?
    ; Create a hatch by picking its corner points. (defun c:h2 ( / b1) (command "pline") (while (> (getvar "cmdactive") 0) (command pause)) (setq b1 (entlast)) (command "pedit" b1 "close" "") (command "-hatch" "s" b1 "" "") (command "erase" b1 "") ; (command "draworder" "L" "" "B") ; ; (command "selgrips" "L" "") (setq ss1 (ssget)) ; (if ss1 (setq ent1 (entsel "Select Object to clone from..."))) ; (if ent1 (command "Matchprop" ent1 ss1 "")) ; ; (command "selgrips" "L" "") ) ; ; If you delete the semicolon before the Draworder command, ; it will move the new hatch entity to the back. ; ; If you delete the semicolons before the next 3 lines, ; it will prompt you for an object to copy properties from, ; and then assign those properties to the new hatch. ; ; If you delete the semicolon before the final Selgrips command, ; it will leave the new hatch selected and highlighted, ; so you can choose its pattern from the Properties panel.

  • Anthony Apostolaros,
    Very cool lisp routine; now have an H2 & H3 (selgrips option) added to the toolbox. Thank you.
    Mike

  • Mike,

    I like it too. Thanks for the idea.

    My first impression was "why would anybody want that?" But it was easy to write, so I tried it. And then I saw that it would be very useful. So I put it in my automatically-loaded lisps file. Now I don't have to have polylines ready to select for select-polyline hatching, or layers that I can turn off temporarily for pick-points-inside hatching.

    I only use the one with Selgrips, though. I work with PickAdd off. All my entity-creating commands end with the newly created entities selected. All my editing commands end with the selection set that was moved, rotated, etc. still selected.